package com.njcn.process.pojo.vo;

import java.util.Date;

/**
 * 
 * Description:
 * 接口文档访问地址：http://serverIP:port/swagger-ui.html
 * Date: 2023/2/22  18:59【需求编号】
 *
 * @author clam
 * @version V1.0.0
 */

/**
    * 电能质量问题日志表
    */
public class RStatElectricQualityProblemLogVO {
    /**
     * 电能质量问题编号
     */
    private String powerQualityProblemNo;

    private String orgName;
    /**
     * 操作时间
     */
    private Date dataDate;

    /**
     * 审核人
     */
    private String checker;

    /**
     * 审核备注
     */
    private String description;

    /**
     * 填报进度，字典表（未填报、原因分析结果、计划整改措施、实际采取措施、治理效果评价、已归档）
     */
    private String reportProcess;

    /**
     * 填报内容
     */
    private String reportProcessContent;

    /**
     * 审核状态
     */
    private String type;

    /**
     * 获取电能质量问题编号
     *
     * @return power_quality_problem_no - 电能质量问题编号
     */
    public String getPowerQualityProblemNo() {
        return powerQualityProblemNo;
    }

    /**
     * 设置电能质量问题编号
     *
     * @param powerQualityProblemNo 电能质量问题编号
     */
    public void setPowerQualityProblemNo(String powerQualityProblemNo) {
        this.powerQualityProblemNo = powerQualityProblemNo;
    }

    /**
     * 获取操作时间
     *
     * @return data_date - 操作时间
     */
    public Date getDataDate() {
        return dataDate;
    }

    /**
     * 设置操作时间
     *
     * @param dataDate 操作时间
     */
    public void setDataDate(Date dataDate) {
        this.dataDate = dataDate;
    }

    /**
     * 获取审核人
     *
     * @return checker - 审核人
     */
    public String getChecker() {
        return checker;
    }

    /**
     * 设置审核人
     *
     * @param checker 审核人
     */
    public void setChecker(String checker) {
        this.checker = checker;
    }

    /**
     * 获取审核备注
     *
     * @return description - 审核备注
     */
    public String getDescription() {
        return description;
    }

    /**
     * 设置审核备注
     *
     * @param description 审核备注
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * 获取填报进度，字典表（未填报、原因分析结果、计划整改措施、实际采取措施、治理效果评价、已归档）
     *
     * @return report_process - 填报进度，字典表（未填报、原因分析结果、计划整改措施、实际采取措施、治理效果评价、已归档）
     */
    public String getReportProcess() {
        return reportProcess;
    }

    /**
     * 设置填报进度，字典表（未填报、原因分析结果、计划整改措施、实际采取措施、治理效果评价、已归档）
     *
     * @param reportProcess 填报进度，字典表（未填报、原因分析结果、计划整改措施、实际采取措施、治理效果评价、已归档）
     */
    public void setReportProcess(String reportProcess) {
        this.reportProcess = reportProcess;
    }

    /**
     * 获取填报内容
     *
     * @return report_process_content - 填报内容
     */
    public String getReportProcessContent() {
        return reportProcessContent;
    }

    /**
     * 设置填报内容
     *
     * @param reportProcessContent 填报内容
     */
    public void setReportProcessContent(String reportProcessContent) {
        this.reportProcessContent = reportProcessContent;
    }

    /**
     * 获取状态
     *
     * @return type - 状态
     */
    public String getType() {
        return type;
    }

    /**
     * 设置状态
     *
     * @param type 状态
     */
    public void setType(String type) {
        this.type = type;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }
}